<?php

require_once '../../../../app/model/db.class.php';

class PerFaltas extends database
{
    function proceso($cod)
    {
    
        $this->conectar();
        $resul=$this->consulta("select * from reporte_faltas where codigo='".$cod."' order by periodo asc;");

        if($this->numero_de_filas($resul)){
        $f=0;
        while($row=$this->fetch_assoc($resul))
        {
            $c=0;
            
            $arr[$f][$c]=$row['codigo'];
            $arr[$f][$c+1]=$row['nombres'];  
            //$arr[$f][$c+2]=$row['grado'];
            $arr[$f][$c+2]=$row['nom_grad']; 
            //$arr[$f][$c+3]=$row['curso'];
            $arr[$f][$c+3]=$row['nom_cur'];            
            $arr[$f][$c+4]=$row['fecha'];             
            $arr[$f][$c+5]=$row['falta'];            
            //$arr[$f][$c+5]=$row['nom_fal']; 
            $arr[$f][$c+6]=$row['periodo']; 
            $arr[$f][$c+7]=$row['nom_per'];             
            $arr[$f][$c+8]=$row['descripcion']; 
            $f++;
        }
    
 


          //print_r($arr);
            return $arr;
        }else
        {
            return "no";
        }
    }


}

/*
$ob=new PerFaltas();
$obj->proceso($_REQUEST['cod']);


$ob=new TipFaltas();
$arr=$obj->proceso();



for($i=0;$i<count($arr);$i++)
{
    for($c=0;$c<3;$c++)
    {
       echo $arr[$i][$c]." -- ";

    }
    echo "<br><br>";
}
*/


?>